.entry-content {
    margin-bottom: 2rem;
}

#preference-center-blocks label {
    cursor: pointer;
}

#preference-center-blocks .data-extension-block input {
    display: none;
}


/* 2-Column Layout for Data Extension Grid */

#preference-center-blocks .blog-loop-content .article {
    width: 100%;
}

@media (min-width: 768px) {
    #preference-center-blocks .blog-loop-content .article {
        width: 50%;
    }
}


/* Block Styles */

#preference-center-blocks h2 {
    color: var(--upmcPurple);
}

#preference-center-blocks .data-extension-block .data-extension-inner,
form#newsletter-preference-center .email-submission {
    background: var(--upmcOffWhite);
    position: relative;
}

#preference-center-blocks .data-extension-block .data-extension-inner:after,
form#newsletter-preference-center .email-submission:after {
    content: '';
    display: block;
    width: 98%;
    height: 0.25rem;
    background: var(--upmcOffWhite2);
    position: absolute;
    top: 100%;
    left: 1%;
}

#preference-center-blocks .data-extension-block .data-extension-inner .de-thumbnail {
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
}

#preference-center-blocks .data-extension-block .data-extension-inner .de-thumbnail img {
    display: block;
    margin: 0;
}

#preference-center-blocks .data-extension-block .data-extension-inner .de-text {
    padding: 1rem;
}

#preference-center-blocks .data-extension-block .data-extension-inner .de-text h2 {
    margin: 0;
    color: var(--upmcGreyMid2);
}

#preference-center-blocks .data-extension-block .data-extension-inner .de-text p.de-checkbox-cta .label {
    display: inline-block;
    width: auto;
    height: 35px;
    padding: 0.25rem 0.75rem;
    /* background: var(--upmcYellow); */
    background: var(--upmcTeal);
    border: none;
    outline: none;
    font-weight: 700;
    color: var(--upmcWhite);
    -moz-border-radius: 6px;
    -ms-border-radius: 6px;
    -o-border-radius: 6px;
    -webkit-border-radius: 6px;
    border-radius: 6px;
}

#preference-center-blocks .data-extension-block .data-extension-inner {
    border: 2px solid rgba(255, 255, 255, 0);
    opacity: 1;
    -moz-transition: all 0.3s ease-in-out;
    -ms-transition: all 0.3s ease-in-out;
    -o-transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
}

#preference-center-blocks .data-extension-block input:checked+.data-extension-inner {
    opacity: 0.75;
    border: 2px solid var(--upmcPurple);
}

#preference-center-blocks .data-extension-block input:checked+.data-extension-inner:after {
    background: var(--upmcPurpleDark);
}

#preference-center-blocks .data-extension-block .data-extension-inner .de-text p.de-checkbox-cta .label .text-selected {
    display: none;
}

#preference-center-blocks .data-extension-block input:checked+.data-extension-inner .de-text p.de-checkbox-cta .label .text-selected {
    display: inline;
}

#preference-center-blocks .data-extension-block input:checked+.data-extension-inner .de-text p.de-checkbox-cta .label .text-signup {
    display: none;
}

#preference-center-blocks label.data-extension-block:active .data-extension-inner .de-text p.de-checkbox-cta .label,
#preference-center-blocks label.data-extension-block:focus .data-extension-inner .de-text p.de-checkbox-cta .label,
#preference-center-blocks label.data-extension-block:hover .data-extension-inner .de-text p.de-checkbox-cta .label {
    /* background: var(--upmcYellow_hover); */
    background: var(--upmcTealHover);
}

@media (min-width: 500px) {
    #preference-center-blocks .data-extension-block .data-extension-inner .de-thumbnail {
        height: 100%;
    }
    #preference-center-blocks .data-extension-block .data-extension-inner .de-thumbnail img {
        opacity: 0;
    }
}

@media (min-width: 768px) {
    #preference-center-blocks .data-extension-block {
        height: 20.5rem;
    }
    #preference-center-blocks .data-extension-block .data-extension-inner .de-text h2 {
        overflow: hidden;
        white-space: nowrap;
        text-overflow: ellipsis;
    }
    #preference-center-blocks .data-extension-block .data-extension-inner .de-text p.article-description {
        height: 10rem;
        display: -webkit-box;
        -webkit-line-clamp: 6;
        -webkit-box-orient: vertical;
        overflow: hidden;
        text-overflow: ellipsis;
    }
}

@media (min-width: 1000px) {
    #preference-center-blocks .data-extension-block {
        height: 16.5rem;
    }
    #preference-center-blocks .data-extension-block .data-extension-inner .de-text p.article-description {
        height: 6rem;
        -webkit-line-clamp: 4;
    }
}


/* Form: Checkbox switch */

:root {
    --toggleSwitchWidth: 140px;
    --toggleSwitchHeight: 30px;
    --toggleSwitchBall: calc(var(--toggleSwitchHeight) - 10px);
}

#preference-center-blocks .data-extension-block .checkbox-switch {
    display: inline-block;
    cursor: pointer;
    overflow: hidden;
    position: relative;
    text-align: left;
    width: var(--toggleSwitchWidth);
    height: var(--toggleSwitchHeight);
    line-height: 1.2;
    font-size: 14px;
    -moz-border-radius: 30px;
    -ms-border-radius: 30px;
    -o-border-radius: 30px;
    -webkit-border-radius: 30px;
    border-radius: 30px;
}

#preference-center-blocks .data-extension-block .checkbox-switch:before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    width: var(--toggleSwitchWidth);
    height: var(--toggleSwitchHeight);
    padding: 0;
    margin: 0;
    opacity: 0;
    z-index: 2;
    cursor: pointer;
}

#preference-center-blocks .data-extension-block .checkbox-switch .checkbox-animate {
    display: block;
    position: relative;
    z-index: 1;
    width: var(--toggleSwitchWidth);
    height: var(--toggleSwitchHeight);
    background-color: var(--upmcTeal);
    -moz-transition: background 0.25s ease-out 0s;
    -ms-transition: background 0.25s ease-out 0s;
    -o-transition: background 0.25s ease-out 0s;
    -webkit-transition: background 0.25s ease-out 0s;
    transition: background 0.25s ease-out 0s;
}

#preference-center-blocks .data-extension-block .checkbox-switch .checkbox-animate:before {
    content: "";
    display: block;
    position: absolute;
    z-index: 10;
    width: var(--toggleSwitchBall);
    height: var(--toggleSwitchBall);
    background-color: var(--upmcTealHover);
    top: 5px;
    left: 5px;
    -moz-border-radius: 10px;
    -ms-border-radius: 10px;
    -o-border-radius: 10px;
    -webkit-border-radius: 10px;
    border-radius: 10px;
    -moz-transition: left 0.3s ease-out 0s;
    -ms-transition: left 0.3s ease-out 0s;
    -o-transition: left 0.3s ease-out 0s;
    -webkit-transition: left 0.3s ease-out 0s;
    transition: left 0.3s ease-out 0s;
}

#preference-center-blocks .data-extension-block input:checked+.data-extension-inner .checkbox-switch .checkbox-animate {
    background-color: var(--upmcPurpleDark);
}

#preference-center-blocks .data-extension-block input:checked+.data-extension-inner .checkbox-switch .checkbox-animate:before {
    /* left: 55px; */
    left: calc(var(--toggleSwitchWidth) - var(--toggleSwitchBall) - 5px);
    /* background-color: var(--upmcPurple); */
    background-color: var(--upmcPurpleBright);
}

#preference-center-blocks .data-extension-block .checkbox-switch .checkbox-off,
#preference-center-blocks .data-extension-block .checkbox-switch .checkbox-on {
    /* float: left; */
    width: 100%;
    margin: 0;
    padding: 6px calc(var(--toggleSwitchBall) + 10px);
    text-align: center;
    color: var(--upmcWhite);
    font-weight: 700;
    opacity: 1;
    text-transform: uppercase;
    position: absolute;
    -moz-transition: all 0.3s ease-out 0s;
    -ms-transition: all 0.3s ease-out 0s;
    -o-transition: all 0.3s ease-out 0s;
    -webkit-transition: all 0.3s ease-out 0s;
    transition: all 0.3s ease-out 0s;
}

#preference-center-blocks .data-extension-block .checkbox-switch .checkbox-on {
    opacity: 0;
}

#preference-center-blocks .data-extension-block input:checked+.data-extension-inner .checkbox-switch .checkbox-animate .checkbox-off {
    opacity: 0;
}

#preference-center-blocks .data-extension-block input:checked+.data-extension-inner .checkbox-switch .checkbox-animate .checkbox-on {
    opacity: 1;
}


/* Email Submission Form Section */

form#newsletter-preference-center .email-submission {
    margin: 1rem 0;
    padding: 1rem;
    text-align: center;
    z-index: 3;
}

@media (min-width: 768px) {
    #newsletter-preference-center.newsletter-signup label.email-field input {
        width: 500px;
        max-width: 500px;
    }
}

.response-messages {
    margin: 1rem 0;
}


/** Quick Links Module */

.blog-loop-module.quick-links-module {
    padding: 2rem 0;
}

.blog-loop-module.quick-links-module .blog-loop-content {
    display: block;
    width: 100%;
    margin: 0;
}

.quick-links a {
    display: inline-block;
    margin: 0.25rem;
    padding: 0.25rem 0.5rem;
    /* width: calc(100% / 9); */
    background: var(--upmcOffWhite);
    font-size: 0.85rem;
    font-weight: 600;
    border: none;
    -moz-border-radius: 6px;
    -ms-border-radius: 6px;
    -o-border-radius: 6px;
    -webkit-border-radius: 6 px;
    border-radius: 6 px;
}

@media (min-width:768px) {
    .blog-loop-module.quick-links-module {
        padding-bottom: 0;
    }
}

.blog-loop-module.quick-links-module .blog-loop-content.slick-slider {
    display: block;
    width: 100%;
    margin: 0;
    position: relative;
}

.blog-loop-module.quick-links-module .blog-loop-content.slick-slider:before,
.blog-loop-module.quick-links-module .blog-loop-content.slick-slider:after {
    content: '';
    display: block;
    width: 2rem;
    height: 100%;
    position: absolute;
    top: 0;
    z-index: 1;
}

.blog-loop-module.quick-links-module .blog-loop-content.slick-slider:before {
    left: 0;
    background: -moz-linear-gradient(left, rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, 0) 100%);
    background: -webkit-linear-gradient(left, rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, 0) 100%);
    background: linear-gradient(to right, rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, 0) 100%);
}

.blog-loop-module.quick-links-module .blog-loop-content.slick-slider:after {
    right: 0;
    background: -moz-linear-gradient(left, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 1) 100%);
    background: -webkit-linear-gradient(left, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 1) 100%);
    background: linear-gradient(to right, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 1) 100%);
}